commit:     02769da3516a6daf96231a7a3aa0664fb1eda5ac
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat May 22 01:46:15 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat May 22 01:47:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02769da3

dev-cpp/glibmm: Version bump to 2.66.1

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-cpp/glibmm/Manifest             |  1 +
 dev-cpp/glibmm/glibmm-2.66.1.ebuild | 66 +++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-cpp/glibmm/Manifest b/dev-cpp/glibmm/Manifest
index 76918e0bc1d..dc8bc5610df 100644
--- a/dev-cpp/glibmm/Manifest
+++ b/dev-cpp/glibmm/Manifest
@@ -1,4 +1,5 @@
 DIST glibmm-2.64.2.tar.xz 7438116 BLAKE2B 
6ff458e90a5dbc606a2e04ecd3589262a1b96e827dba245985467818a7a4ba80a9c4cb15686fe479636cb8ce7e1db3334195d6334d7ec56327076cad87e22170
 SHA512 
0130af9a16981a54630150db6f4b1a95458d72d650c5e4781ee97ce624ec98c600b79ebf234d212e025781453fd11d78b9e8273235ffa143397423418fe970cc
 DIST glibmm-2.64.5.tar.xz 7491108 BLAKE2B 
3c0f2215542a6ccc65c37d566856df326b7c0d45999e525df6153862edd0841c501c64fc3cfd0e4c3f1bae29bbaca1eed44738acc11b3f1515ffc8a396b0791f
 SHA512 
e90bb722a35292b0fc54dff82604ec8d23a9e72b08581de14fd515539392ed713d0691352bf7de42d5027579959f76b268cdc11a76a3d3033ae8268f486ee817
 DIST glibmm-2.66.0.tar.xz 7507608 BLAKE2B 
e6c8f9bac453e81a0a80850fe13b32751fd9644db40acd9d6a45e96f52cdccdbed633ad1ffde566103eb22af9cb073da11368d5c11db237d43127c0962768a64
 SHA512 
e6b38847a70d61412e7013a04fae2db1163cf746c1b8cb6bc43bd6985d66c1859ceb74dc2ca070ca88e5e4cd443325ccf8200c14fad9af47e33b5b49a0bb854f
+DIST glibmm-2.66.1.tar.xz 7509820 BLAKE2B 
4750940093cadbae7c32d387ac8b16c8230eb08ed1645e457edfa27542a2e8a01d70de08bb41d1872dd1f03d1506bfaefc2af582250ca64ad480ce5f98f20d56
 SHA512 
caf57c2c9d163fff45041c33ed70d2692040d7bea44660d68e8c16a76be2609e0f857a5e16ad5220a0ec681a560c864dc86c2988a2c40741b4f29c9fe5b7d8b9
 DIST glibmm-2.68.0.tar.xz 7652260 BLAKE2B 
df87b3f3d8cd74b693f843dec15d5376f2a755b0a72042983383c15cca9fdb90c2fed6320bf0f3fe846fcda5be3ee15c0fc1b683d29cebe64e8dcdd101fc9bf0
 SHA512 
a13121052315e949acf2528e226079f1a2cf7853080aec770dcb269e422997e5515ed767c7a549231fb3fa5f913b3fd9ef083080589283824b6a218d066b253e

diff --git a/dev-cpp/glibmm/glibmm-2.66.1.ebuild 
b/dev-cpp/glibmm/glibmm-2.66.1.ebuild
new file mode 100644
index 00000000000..27244f110de
--- /dev/null
+++ b/dev-cpp/glibmm/glibmm-2.66.1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+inherit gnome.org meson multilib-minimal python-any-r1
+
+DESCRIPTION="C++ interface for glib2"
+HOMEPAGE="https://www.gtkmm.org";
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
+IUSE="doc debug test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-libs/libsigc++-2.9.1:2[${MULTILIB_USEDEP}]
+       >=dev-libs/glib-2.61.2:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+       doc? (
+               app-doc/doxygen[dot]
+               dev-lang/perl
+               dev-perl/XML-Parser
+               dev-libs/libxslt
+               media-gfx/graphviz
+       )
+"
+
+src_prepare() {
+       default
+
+       # giomm_tls_client requires FEATURES=-network-sandbox and 
glib-networking rdep
+       sed -i -e '/giomm_tls_client/d' tests/meson.build || die
+
+       if ! use test; then
+               sed -i -e "/^subdir('tests')/d" meson.build || die
+       fi
+}
+
+multilib_src_configure() {
+       local emesonargs=(
+               -Dwarnings=min
+               -Dbuild-deprecated-api=true
+               -Dbuild-documentation=$(usex doc true false)
+               -Ddebug-refcounting=$(usex debug true false)
+               -Dbuild-examples=false
+       )
+       meson_src_configure
+}
+
+multilib_src_compile() {
+       meson_src_compile
+}
+
+multilib_src_test() {
+       meson_src_test
+}
+
+multilib_src_install() {
+       meson_src_install
+}

Reply via email to